Subject: bug#23557: "corrupt input while restoring archive from socket" after interrupted package install

From: [email-masked] (Ludovic Courtès)
Date: Mon, 16 May 2016 23:10:52 +0200

Hello,

Harry Prevor <[email-masked]> skribis:

> I tried to install emacs on guix recently, and I actually got a kernel
> panic in the middle of installing so I had to do a hard reboot.

Are you installing GuixSD, or are you installing Guix on another distro?

> Since
> then, every time I tried to do guix package -i emacs I got this error:
>
>> substitute: Backtrace:
>> substitute: In ice-9/boot-9.scm:
>> substitute:  157: 9 [catch #t #<catch-closure e00500> ...]
>> substitute: In unknown file:
>> substitute:    ?: 8 [apply-smob/1 #<catch-closure e00500>]
>> substitute: In ice-9/boot-9.scm:
>> substitute:   63: 7 [call-with-prompt prompt0 ...]
>> substitute: In ice-9/eval.scm:
>> substitute:  432: 6 [eval # #]
>> substitute: In ice-9/boot-9.scm:
>> substitute: 2401: 5 [save-module-excursion #<procedure e1f940 at
>> ice-9/boot-9.scm:4045:3 ()>]
>> substitute: 4050: 4 [#<procedure e1f940 at ice-9/boot-9.scm:4045:3 ()>]
>> substitute: 1724: 3 [%start-stack load-stack #<procedure e32900 at
>> ice-9/boot-9.scm:4041:10 ()>]
>> substitute: 1729: 2 [#<procedure e37ea0 ()>]
>> substitute: In unknown file:
>> substitute:    ?: 1 [primitive-load
>> "/gnu/store/3g6zn8y5sfwywr4pqiwqrab735a0x4zl-guix-0.10.0/bin/.guix-real"]
>> substitute: In guix/ui.scm:
>> substitute: 1188: 0 [run-guix-command substitute "--query"]
>> substitute:
>> substitute: guix/ui.scm:1188:6: In procedure run-guix-command:
>> substitute: guix/ui.scm:1188:6: Throw to key `match-error' with args
>> `("match" "no matching pattern" #<eof>)'.
>> guix package: error: corrupt input while restoring archive from socket

What does this command report (run as root):

  guix substitute --help

Do you know what substitute server is being used?

Can you try:

  guix build emacs --substitute-urls=http://mirror.hydra.gnu.org

and:

  guix build emacs --substitute-urls=https://mirror.hydra.gnu.org

Thanks in advance!

Ludo’.

PS: Please keep [email-masked] Cc’d.